[FFmpeg-devel] [PATCH] G722 decoder

Reimar Döffinger Reimar.Doeffinger
Mon Mar 23 20:16:57 CET 2009

On Mon, Mar 23, 2009 at 08:11:52PM +0100, Diego Biurrun wrote:
> On Mon, Mar 23, 2009 at 12:01:42PM -0700, Baptiste Coudurier wrote:
> > I'm prefectly fine in integrating a patch using LGPL v2.1 only.
> It's nice that you are fine with it, but changing FFmpeg's license is
> not acceptable.  If just one file is LGPL v2.1 only, all of FFmpeg
> reverts to LGPL v2.1 only and becomes incompatible with (L)GPL v3
> software.

Since LGPL v2.1 IIRC allows licensing under "GPL v2.1 or later", that
would be an option though...

More information about the ffmpeg-devel mailing list